{% extends 'shop/main-shop-page.html' %}
{% block content %}
<h3 class="text-center mt-5 mb-5">Your cart{%if not cart.products.count %} is empty{%endif%}</h3>

{% if messages %}
    {% for message in messages %}
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        {{message}}
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
      </div>
    {% endfor %}
{% endif %}

{% if cart.products.count %}
  <table class="table table-hover">
  <thead>
    <tr>
      <th scope="col">Product name</th>
      <th scope="col">Image</th>
      <th scope="col">Price</th>
      <th scope="col">Amount</th>
      <th scope="col">Summary price</th>
      <th scope="col">Action</th>
    </tr>
  </thead>
  <tbody>
  {% for item in cart.products.all %}
    <tr>
      <th scope="row">{{item.content_object.product_name}}</th>
      <td class="w-25"><img class="img-fluid" src="{{item.content_object.image.url}}" alt=""></td>
      <td>{{item.content_object.price}}</td>
      <td>
        <form action="{% url 'shop:change-qty' ct_model=item.content_object.get_model_name slug=item.content_object.slug %}" method="POST">
          {%csrf_token%}
          <input type="number" class="form-control"  name="qty" style="width: 70px;" min="1" value="{{item.qty}}">
          <br>
          <input type="submit" class="btn btn-primary" value="Change quantity" >
        </form>
      </td>
      <td>{{item.final_price}} $</td>
      <td><a href="{% url 'shop:delete-from-cart' ct_model=item.content_object.get_model_name slug=item.content_object.slug %}">
        <button class="btn btn-danger">Delete from cart</button>
      </a></td>
    </tr>
    {% endfor %}
  <tr>
    <td colspan="2"></td>
    <td><strong>Summary</strong></td>
    <td>{{cart.total_products}}</td>
    <td>{{cart.final_price}} $</td>
    <td><a href="{%url 'shop:checkout'%}" class="btn btn-primary">Create order</a></td>
  </tr>
  </tbody>
</table>
{% endif %}

{% endblock %}